<?php


namespace Fifa\ConnectId\Sdk\Notifications;


use DateTime;

class GenderChangedNotification
{
    /** @var string */
    private $personFIFAId;
    /** @var string */
    private $before;
    /** @var string */
    private $after;
    /** @var string */
    private $actorName;
    /** @var DateTime */
    private $operationTimestamp;

    /**
     * GenderChangedNotification constructor.
     *
     * @param string $personFIFAId
     * @param string|null $before
     * @param string|null $after
     * @param string $actorName
     * @param DateTime $operationTimestamp
     */
    function __construct(string $personFIFAId, ?string $before, ?string $after, string $actorName, DateTime $operationTimestamp)
    {
        $this->personFIFAId = $personFIFAId;
        $this->before = $before;
        $this->after = $after;
        $this->actorName = $actorName;
        $this->operationTimestamp = $operationTimestamp;
    }

    /**
     * @return string
     */
    public function getPersonFIFAId(): string
    {
        return $this->personFIFAId;
    }

    /**
     * @return string|null
     */
    public function getBefore(): ?string
    {
        return $this->before;
    }

    /**
     * @return string|null
     */
    public function getAfter(): ?string
    {
        return $this->after;
    }

    /**
     * @return string
     */
    public function getActorName(): string
    {
        return $this->actorName;
    }

    /**
     * @return DateTime
     */
    public function getOperationTimestamp(): DateTime
    {
        return $this->operationTimestamp;
    }
}